Обновился до Eclipse Juno, и заодно обновил Java(7) но при добавлении плагинов (help->install new software) и при обновлении выскакивает Problem Occurred, ошибки:
[cc lang=»bash»] Some sites could not be found
Unable to read repository

[/cc] После недолгих раздумий и просмотра логов запросов, стало ясно, что java пробивается через IPV6, который у провайдера не поддерживается.
Недолгое гугление дало:
в файле eclipse.ini в конец добавить:
[cc lang=»bash»] -Djava.net.preferIPv4Stack=true
[/cc] Перезагружаем Eclipse. Вуаля.